#!/bin/ksh
# Index my LOG-files.

test -f /search/estraier/SETUP && . /search/estraier/SETUP
logmsg start

if test -d "$dbname"; then
    opts='-cl -sd -ft -cm'
else
    opts='-sd -ft'
fi

# It takes around 3 min. to index these from scratch, so I don't
# bother finding the ones that have been modified.

locate /LOG | grep -v /archive/old-logfiles/ | grep '/LOG$' > $flist
test -s "$flist" || cleanup no LOG files found, exiting

estcmd gather $opts $dbname - < $flist
estcmd extkeys $dbname
estcmd optimize $dbname
estcmd purge -cl $dbname
cleanup
