# die: prints an optional argument to stderr and exits.
#    A common use for "die" is with a test:
#         test -f /etc/passwd || die "no passwd file"
#    This works in subshells and loops, but may not exit with
#    a code other than 0.

die () {
    echo "$tag: error: $*" 1>&2
    exit 1
}
