# usage: prints an optional string plus part of the comment
#   header (if any) to stderr, and exits with code 1.

usage () {
    lines=`egrep -n '^# (NAME|AUTHOR)' $prog | sed -e 's/:.*//'`

    (
        case "$#" in
            0)  ;;
            *)  echo "$tag: usage error: $*"; echo ;;
        esac

        case "$lines" in
            "") ;;

            *)  set `echo $lines | sed -e 's/ /,/'`
                sed -n ${1}p $prog | sed -e 's/^#//g' |
                    egrep -v AUTHOR:
                ;;
        esac
    ) 1>&2

    exit 1
}
