# version: prints the current version to stdout.
#   expects these RCS variables to be set in the calling script:
#   (spaces added after $ to prevent RCS expansion in this file)
#
#   lrevno='$ RCSfile: filename,v $ $ Revision: m.n $'
#   lrevdate='$ Date: yyyy/mm/dd hh:mm:ss $'

version () {
    lsedscr='s/RCSfile: //
    s/.Date: //
    s/,v . .Revision: /  v/
    s/\$//g'
    echo "$lrevno $lrevdate" | sed -e "$lsedscr"
}
